class Words {

  Hashtable ht=new Hashtable();
  
  void addWord(String txt, Word newWord) {
    Word oldWord;
    
    //If the word exist, then add the count to the existing count
    if (ht.containsKey(txt)) {
      oldWord = (Word)ht.get(txt);
      oldWord.count += newWord.count;
    } else {
      //else just add the new word (in most cases of a chapter)
      ht.put(txt, newWord);
    }
  }

  void addWord(String txt) {
    Word word;
    
    if (ht.containsKey(txt)) {
      word = (Word)ht.get(txt);
      word.count++;
    } 
    else {
      word = new Word(txt);
    }
    ht.put(txt, word);
  }

  String getWords() {
    
    String sWords = "";
    
    for (Enumeration e = ht.keys() ; e.hasMoreElements() ;) {
      String name = e.nextElement().toString();
      Word word = (Word)ht.get(name);
      sWords += word.txt + ":"+ word.count;
      
      if (e.hasMoreElements()) sWords += ",";
    }
    
    return sWords;
  }
  
  Word getWord(String keyword) {
    Word word = (Word)ht.get(keyword);
    return word;
  }
}
